package driverrepo

import (
	"go-udemy-web-1/internal/repository"
)

type (
	sqlDriverRepo  struct{}
	sqlcDriverRepo struct{}
)

var dbConn = &repository.DB{}

func NewSqlRepo() repository.DatabaseDriverRepo {
	return &sqlDriverRepo{}
}

func NewSqlcRepo() repository.DatabaseDriverRepo {
	return &sqlcDriverRepo{}
}
